""" 
Regex for textprepro
"""


WHITESPACE_PATTERN = r"\s+"
URL_PATTERN = r"(https?://|www\.)\S+"
NUMBER_PATTERN = r"\d+"
MENTION_PATTERN = r"(?<!\S)@\S+"
HASHTAG_PATTERN = r"#\S+"
RETWEET_PREFIX_PATTERN = r"(rt|RT) @\w+: "
SPECIAL_CHARACTER_PATTERN = r"[^a-zA-Z0-9\s]"
EMAIL_PATTERN = r"[\w\-\.]+@([\w\-]+\.)+[\w\-]{2,4}"
PHONE_NUMBER_PATTERN = r"(?:[\+]?[\(]?[\d]{1,3}[\)]?)(?:(?:[\s\.\-]*[\(])?(?:[\s\.\-]*\d)[\)]?)*"
SLANG = {
    '$': 'dollar',
    '4ao': 'for adults only',
    '7k': 'sick',
    'a.m': 'before midday',
    'a3': 'anytime anywhere anyplace',
    'aamof': 'as a matter of fact',
    'acct': 'account',
    'adih': 'another day in hell',
    'afaic': 'as far as i am concerned',
    'afaict': 'as far as i can tell',
    'afaik': 'as far as i know',
    'afair': 'as far as i remember',
    'afk': 'away from keyboard',
    'app': 'application',
    'approx': 'approximately',
    'apps': 'applications',
    'asap': 'as soon as possible',
    'asl': 'age, sex, location',
    'atk': 'at the keyboard',
    'atm': 'at the moment',
    'ave.': 'avenue',
    'aymm': 'are you my mother',
    'ayor': 'at your own risk',
    'b&b': 'bed and breakfast',
    'b+b': 'bed and breakfast',
    'b.c': 'before christ',
    'b2b': 'business to business',
    'b2c': 'business to customer',
    'b4': 'before',
    'b4n': 'bye for now',
    'b@u': 'back at you',
    'bae': 'before anyone else',
    'bak': 'back at keyboard',
    'bbbg': 'bye bye be good',
    'bbc': 'british broadcasting corporation',
    'bbias': 'be back in a second',
    'bbl': 'be back later',
    'bbs': 'be back soon',
    'be4': 'before',
    'bfn': 'bye for now',
    'blvd': 'boulevard',
    'bout': 'about',
    'brb': 'be right back',
    'bros': 'brothers',
    'brt': 'be right there',
    'bsaaw': 'big smile and a wink',
    'btw': 'by the way',
    'bwl': 'bursting with laughter',
    'c/o': 'care of',
    'cet': 'central european time',
    'cf': 'compare',
    'cia': 'central intelligence agency',
    'csl': 'can not stop laughing',
    'cu': 'see you',
    'cul8r': 'see you later',
    'cv': 'curriculum vitae',
    'cwot': 'complete waste of time',
    'cya': 'see you',
    'cyt': 'see you tomorrow',
    'dae': 'does anyone else',
    'dbmib': 'do not bother me i am busy',
    'diy': 'do it yourself',
    'dm': 'direct message',
    'dwh': 'during work hours',
    'e123': 'easy as one two three',
    'eet': 'eastern european time',
    'eg': 'example',
    'embm': 'early morning business meeting',
    'encl': 'enclosed',
    'encl.': 'enclosed',
    'etc': 'and so on',
    'faq': 'frequently asked questions',
    'fawc': 'for anyone who cares',
    'fb': 'facebook',
    'fc': 'fingers crossed',
    'fig': 'figure',
    'fimh': 'forever in my heart',
    'ft': 'featuring',
    'ft.': 'feet',
    'ftl': 'for the loss',
    'ftw': 'for the win',
    'fwiw': 'for what it is worth',
    'fyi': 'for your information',
    'g.o.a.t': 'greatest of all time',
    'g9': 'genius',
    'gahoy': 'get a hold of yourself',
    'gal': 'get a life',
    'gcse': 'general certificate of secondary education',
    'gfn': 'gone for now',
    'gg': 'good game',
    'gl': 'good luck',
    'glhf': 'good luck have fun',
    'gmt': 'greenwich mean time',
    'gmta': 'great minds think alike',
    'gn': 'good night',
    'goat': 'greatest of all time',
    'goi': 'get over it',
    'gps': 'global positioning system',
    'gr8': 'great',
    'gratz': 'congratulations',
    'gyal': 'girl',
    'h&c': 'hot and cold',
    'hp': 'horsepower',
    'hr': 'hour',
    'hrh': 'his royal highness',
    'ht': 'height',
    'i.e': 'that is',
    'ibrb': 'i will be right back',
    'ic': 'i see',
    'icq': 'i seek you',
    'icymi': 'in case you missed it',
    'idc': 'i do not care',
    'idgadf': 'i do not give a damn fuck',
    'idgaf': 'i do not give a fuck',
    'idk': 'i do not know',
    'ie': 'that is',
    'ifyp': 'i feel your pain',
    'ig': 'instagram',
    'iirc': 'if i remember correctly',
    'ilu': 'i love you',
    'ily': 'i love you',
    'imho': 'in my humble opinion',
    'imo': 'in my opinion',
    'imu': 'i miss you',
    'iow': 'in other words',
    'irl': 'in real life',
    'j4f': 'just for fun',
    'jic': 'just in case',
    'jk': 'just kidding',
    'jsyk': 'just so you know',
    'l8r': 'later',
    'lb': 'pound',
    'lbs': 'pounds',
    'ldr': 'long distance relationship',
    'lmao': 'laugh my ass off',
    'lmfao': 'laugh my fucking ass off',
    'lol': 'laughing out loud',
    'ltd': 'limited',
    'ltns': 'long time no see',
    'm8': 'mate',
    'mf': 'motherfucker',
    'mfs': 'motherfuckers',
    'mfw': 'my face when',
    'mofo': 'motherfucker',
    'mph': 'miles per hour',
    'mr': 'mister',
    'mrw': 'my reaction when',
    'ms': 'miss',
    'mte': 'my thoughts exactly',
    'nagi': 'not a good idea',
    'nbc': 'national broadcasting company',
    'nbd': 'not big deal',
    'nfs': 'not for sale',
    'ngl': 'not going to lie',
    'nhs': 'national health service',
    'nrn': 'no reply necessary',
    'nsfl': 'not safe for life',
    'nsfw': 'not safe for work',
    'nth': 'nice to have',
    'nvr': 'never',
    'nyc': 'new york city',
    'oc': 'original content',
    'og': 'original',
    'ohp': 'overhead projector',
    'oic': 'oh i see',
    'omdb': 'over my dead body',
    'omg': 'oh my god',
    'omw': 'on my way',
    'p.a': 'per annum',
    'p.m': 'after midday',
    'pm': 'prime minister',
    'poc': 'people of color',
    'pov': 'point of view',
    'pp': 'pages',
    'ppl': 'people',
    'prt': 'party',
    'prw': 'parents are watching',
    'ps': 'postscript',
    'pt': 'point',
    'ptb': 'please text back',
    'pto': 'please turn over',
    'qpsa': 'what happens',
    'ratchet': 'rude',
    'rbtl': 'read between the lines',
    'rlrt': 'real life retweet',
    'rofl': 'rolling on the floor laughing',
    'roflol': 'rolling on the floor laughing out loud',
    'rotflmao': 'rolling on the floor laughing my ass off',
    'rt': 'retweet',
    'ruok': 'are you ok',
    'sfw': 'safe for work',
    'sk8': 'skate',
    'smh': 'shake my head',
    'sq': 'square',
    'srsly': 'seriously',
    'ssdd': 'same stuff different day',
    'stats': 'your sex and age',
    'tbh': 'to be honest',
    'tbs': 'tablespooful',
    'tbsp': 'tablespooful',
    'tfw': 'that feeling when',
    'thks': 'thank you',
    'tho': 'though',
    'thx': 'thank you',
    'tia': 'thanks in advance',
    'til': 'today i learned',
    'tl;dr': 'too long i did not read',
    'tldr': 'too long i did not read',
    'tmb': 'tweet me back',
    'tntl': 'trying not to laugh',
    'ttfn': 'ta-ta for now!',
    'ttyl': 'talk to you later',
    'u': 'you',
    'u2': 'you too',
    'u4e': 'yours for ever',
    'utc': 'coordinated universal time',
    'w/': 'with',
    'w/o': 'without',
    'w8': 'wait',
    'wassup': 'what is up',
    'wb': 'welcome back',
    'wtf': 'what the fuck',
    'wtg': 'way to go',
    'wtpa': 'where the party at',
    'wuf': 'where are you from',
    'wuzup': 'what is up',
    'wywh': 'wish you were here',
    'yd': 'yard',
    'ygtr': 'you got that right',
    'ynk': 'you never know',
    'zzz': 'sleeping bored and tired',
    '€': 'euro'
}